dpkg: warning unable to delete old directory `/usr/lib/python2.5/site-packages/DistUpgrade': Directory not empty

Bug #283014 reported by Shirish Agarwal on 2008-10-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: update-manager

This is while during installing the update/upgrade from old to new version of update-manager

Preparing to replace update-manager 1:0.87.24 (using .../update-manager_1%3a0.93.23_all.deb) ...
Unpacking replacement update-manager ...
dpkg: warning - unable to delete old directory `/usr/lib/python2.5/site-packages/DistUpgrade': Directory not empty

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 8.10
Package: update-manager 1:0.93.23
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_IN
SourcePackage: update-manager
Uname: Linux 2.6.24-16-generic i686

Shirish Agarwal (shirishag75) wrote :
Michael Vogt (mvo) wrote :

Thanks for your bugreport.

Did dpkg fail because of this? Or is it "just" warning?

Changed in update-manager:
status: New → Incomplete
Shirish Agarwal (shirishag75) wrote :

Hi Michael,
 Thank you for getting back so quickly. Its "just" a warning, dpkg doesn't fail on that. My concern is it should have either asked should I update to package maintainer's version or not like it does for some. There were few other updates where dpkg fired the same warning. Looking forward to comments, thank you.

Dimitrios Symeonidis (azimout) wrote :

"/usr/lib/python2.5/site-packages/DistUpgrade" is part of update-manager-core
I don't see why update-manager would try to remove it
On the other hand, update-manager-core includes both /usr/lib/python2.6 and /usr/lib/python2.5 files, which is strange (to me)

Changed in update-manager (Ubuntu):
status: Incomplete → New
importance: Undecided → Low
Tim Casey (tjcasey) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better.

We are sorry that we do not always have the capacity to look at all reported bugs in a timely manner. There have been many changes in Ubuntu since that time you reported the bug and your problem may have been fixed with some of the updates.

It would help us a lot if you could test a current, supported, Ubuntu version. If you test it, and it is still an issue, we would appreciate if you could update this bug

Changed in update-manager (Ubuntu):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for update-manager (Ubuntu) because there has been no activity for 60 days.]

Changed in update-manager (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers